## PlumaProgressMessageArea PlumaProgressMessageArea |

## Functions

GtkWidget * | pluma_progress_message_area_new ()
void | pluma_progress_message_area_set_image ()
void | pluma_progress_message_area_set_markup ()
void | pluma_progress_message_area_set_text ()
void | pluma_progress_message_area_set_fraction ()
void | pluma_progress_message_area_pulse ()

## Properties

gboolean | has-cancel-button | Write / Construct Only

## Types and Values

| PlumaProgressMessageAreaPrivate
struct | PlumaProgressMessageArea

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkInfoBar
                            ╰── PlumaProgressMessageArea

## Implemented Interfaces

PlumaProgressMessageArea implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### pluma_progress_message_area_new ()

    GtkWidget *
    pluma_progress_message_area_new (const gchar *image_id,
                                     const gchar *markup,
                                     gboolean has_cancel);

### pluma_progress_message_area_set_image ()

    void
    pluma_progress_message_area_set_image (PlumaProgressMessageArea *area,
                                           const gchar *image_id);

### pluma_progress_message_area_set_markup ()

    void
    pluma_progress_message_area_set_markup
                                   (PlumaProgressMessageArea *area,
                                    const gchar *markup);

### pluma_progress_message_area_set_text ()

    void
    pluma_progress_message_area_set_text (PlumaProgressMessageArea *area,
                                          const gchar *text);

### pluma_progress_message_area_set_fraction ()

    void
    pluma_progress_message_area_set_fraction
                                   (PlumaProgressMessageArea *area,
                                    gdouble fraction);

### pluma_progress_message_area_pulse ()

    void
    pluma_progress_message_area_pulse (PlumaProgressMessageArea *area);

## Types and Values

### PlumaProgressMessageAreaPrivate

    typedef struct _PlumaProgressMessageAreaPrivate PlumaProgressMessageAreaPrivate;

### struct PlumaProgressMessageArea

    struct PlumaProgressMessageArea;

## Property Details

### The `“has-cancel-button”` property

      “has-cancel-button”        gboolean

If the message area has a cancel button.

Owner: PlumaProgressMessageArea

Flags: Write / Construct Only

Default value: TRUE